import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubActionsRegistrationTokenConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/actions_registration_token#id DataGithubActionsRegistrationToken#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/actions_registration_token#repository DataGithubActionsRegistrationToken#repository}
    */
    readonly repository: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/actions_registration_token github_actions_registration_token}
*/
export declare class DataGithubActionsRegistrationToken extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "github_actions_registration_token";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/actions_registration_token github_actions_registration_token} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubActionsRegistrationTokenConfig
    */
    constructor(scope: Construct, id: string, config: DataGithubActionsRegistrationTokenConfig);
    get expiresAt(): number;
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    private _repository?;
    get repository(): string;
    set repository(value: string);
    get repositoryInput(): string | undefined;
    get token(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
